Subject: bug#16661: 24.3.50; standalone minibuffer frame gets renamed with name of aother frame

From: Juanma Barranquero <[email-masked]>
Date: Fri, 7 Feb 2014 03:49:48 +0100

On Fri, Feb 7, 2014 at 3:36 AM, Drew Adams <[email-masked]> wrote:

> Yes, I have not (knowingly, at least) been using desktop stuff
> or frameset stuff.

Well, frameset saving&restoring is automatically enabled, but what I
mean is, you do see the frame name change in a session, not between
sessions, do you? Because if you have a named frame, save and restore
(with desktop.el) and the frame name changes, that could be a frameset
problem. By default, frameset-save does not save the name parameter,
so if you set it in one session and then restore in another, the frame
won't have the name you set it to (unless you set it again).

Just as a test, try adding

  (push '(name . nil) frameset-filter-alist)

in your .emacs, after (require 'desktop), to check if that makes your
problem disappear.

    J